MIX_GetTrackGain(3)

NAME
MIX_GetTrackGain - Get a track's gain control.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

float MIX_GetTrackGain(MIX_Track *track);

DESCRIPTION
This returns the last value set through MIX_SetTrackGain(), or 1.0f if no value has ever been explicitly set.

FUNCTION PARAMETERS

track
    the track to query.

RETURN VALUE
Returns the track's current gain.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_SetTrackGain(3), MIX_GetMixerGain(3)